cancel
Showing results for 
Search instead for 
Did you mean: 

Installing 4.0F on ES40

SOLVED
Go to solution
Ninad_1
Honored Contributor

Installing 4.0F on ES40

I have a ES40 server preinstalled with Tru64 5.1B. firmware version 6.5
I have an old ES40 with tru64 4.0F which is a production server and hence I am trying to install 4.0F on an internal hard disk on the new ES40 so that I can experiment with few things that I wish to implement on the production server if successful.
After installing 4.0F on the new ES40 during the first reboot the system gives following errors while booting

PCI device at bus1, slot 4 , function 0 could not be configured
Vendor ID 0x10df , Device ID 0xf800 , Base class 0xc , Sub-DID 0xf800
has no matching entry in the PCI option table

and this causes the server to take a default display of 640x480 , also it has not detected the Ethernet cards on the PCI , ifconfig -a doesnt show any of the network cards.

whereas if i boot the same ES40 on 5.1B installed on the other internal disk it works fine.

What could be the problem ? can you help me ?

Ninad
3 REPLIES
Hein van den Heuvel
Honored Contributor

Re: Installing 4.0F on ES40


Sounds like you woudl need to boot GENVMUNIX and rebuild the kernel?! Did you do a clean install of 4.0F or did you clone that old ES40 with 4.0F?

Is that an Emulex controller in PCI device at bus1, slot 4? Is it a KGPSA? Is the specific version even supported under 4.0F?


Maybe share a P00>> SHOW CONFIG output?

Not sure this helps,
Hein.

Ralf Puchner
Honored Contributor
Solution

Re: Installing 4.0F on ES40

4.0F is listed as supported option for ES40.

The kgpsa (Vendor ID 0x10df, Device ID 0xf800) isn't supported on 4.0f until either NHD-2,NHD-3, at least Patch kit 4, or run BINSTALL script contained in emx_bin_v122.tar.

4.0F does not support the Intel lan-cards out of the box, you need the NHD-3 or later CD-ROM and an actual patchkit.

Btw. the graphic resolution of 640x480 is not a problem depending on the unrecoginized storage controller. Please post the output of ">>> show config" or tell us what kind of graphic adapter is used. And please be more specific next time because we can not guess what kind of hardware/software is installed on your machine.
Help() { FirstReadManual(urgently); Go_to_it;; }
Ninad_1
Honored Contributor

Re: Installing 4.0F on ES40

I will try NHD-3 and patch kit 7 and will post the output of show config within few hrs. now. Thanks for the direction

Ninad